---
title: background-origin
slug: Web/CSS/background-origin
tags:
  - CSS
  - CSS Background
  - CSS Property
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>background-origin</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property sets the background's origin: from the border start, inside the border, or inside the padding.</p>

<div>{{EmbedInteractiveExample("pages/css/background-origin.html")}}</div>

<p>Note that <code>background-origin</code> is ignored when {{cssxref("background-attachment")}} is <code>fixed</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: css no-line-numbers notranslate">/* Keyword values */
background-origin: border-box;
background-origin: padding-box;
background-origin: content-box;

/* Global values */
background-origin: inherit;
background-origin: initial;
background-origin: unset;
</pre>

<p>The <code>background-origin</code> property is specified as one of the keyword values listed below.</p>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>border-box</code></dt>
 <dd>The background is positioned relative to the border box.</dd>
 <dt><code>padding-box</code></dt>
 <dd>The background is positioned relative to the padding box.</dd>
 <dt><code>content-box</code></dt>
 <dd>The background is positioned relative to the content box.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Setting_background_origins">Setting background origins</h3>

<pre class="brush:css; highlight:[6]; notranslate">.example {
  border: 10px double;
  padding: 10px;
  background: url('image.jpg');
  background-position: center left;
  background-origin: content-box;
}
</pre>

<pre class="brush:css; highlight:[6]; notranslate">#example2 {
  border: 4px solid black;
  padding: 10px;
  background: url('image.gif');
  background-repeat: no-repeat;
  background-origin: border-box;
}
</pre>

<pre class="brush:css; highlight:[4]; notranslate">div {
  background-image: url('logo.jpg'), url('mainback.png'); /* Applies two images to the background */
  background-position: top right, 0px 0px;
  background-origin: content-box, padding-box;
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS3 Backgrounds', '#the-background-origin', 'background-origin')}}</td>
   <td>{{Spec2('CSS3 Backgrounds')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("css.properties.background-origin")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref("background-clip")}}</li>
</ul>
